// Задача "Прямоугольный полигон"
// Шестая индивидуальная Интернет-олимпиада сезона 2009-2010.
// Автор задачи: Федор Царев, tsarev@rain.ifmo.ru
// Автор решения: Антон Банных, argentony@gmail.com

//Неверное решение --- отсутствует проверка на то, что s % a == 0

#include <cstdio>
#include <cassert>

int main() 
{
	freopen("rect.in", "rt", stdin);
	freopen("rect.out", "wt", stdout);
	int s, p;
	scanf("%d %d", &s, &p);
	assert(1 <= s && s <= 500000000);
	assert(1 <= p && p <= 60000);
	
	for (int a = 1; a <= p; ++a) 
	{
		int b = s / a;
		if (2 * a + 2 * b == p) 			
		{
			printf("%d %d\n", b, a);
			return 0;
		}
	}
	printf("-1\n");
	return 0;
}
